Subject: [RFC PATCH 2/4] ARM: dts: Add SPI flash node for Peach boards

From: [email-masked] (Krzysztof Kozlowski)
Date: Thu, 21 May 2015 09:44:07 +0900

On 20.05.2015 19:17, Javier Martinez Canillas wrote:
> Hello Krzysztof,
> 
> On 05/20/2015 05:37 AM, Krzysztof Kozlowski wrote:
>> On 19.05.2015 22:34, Javier Martinez Canillas wrote:
>>> From: Simon Glass <[email-masked]>
>>>
>>> Peach Pit and Pi machines have a SPI flash memory that is used to
>>> store firmware and different system parameters and data.
>>>
>>> Add information about the SPI flash chip so that user-space tools
>>> can access it.
>>>
>>> Signed-off-by: Simon Glass <[email-masked]>
>>> Reviewed-by: Doug Anderson <[email-masked]>
>>> Signed-off-by: Javier Martinez Canillas <[email-masked]>
>>
>> Acked-by: Krzysztof Kozlowski <[email-masked]>
>>
>> I assume this can go through samsung-soc tree (after documenting new
>> compatible)?
>>
> 
> Yes, I mentioned in the cover letter that patch #1 should go through
> the spi tree and #2-4 through the linux-samsung tree. I can split in
> two series once I post as proper patches to make it more clear.

It is fine, don't split it. It is good to see the usage of binding in
the same patchset.

>  
>> The exynos5800-peach-pi.dts and exynos5420-peach-pit.dts have a lot of
>> common nodes. I wonder if there is a common part which could have its
>> own dtsi? Like exynos4412-odroid-common.dtsi?
>>
> 
> We discussed in the past about having a common .dtsi [0]. I'm not a
> huge fan of a common .dtsi and I prefer to instead split common dts
> fragments in a .dtsi that can be included in different dts.
> 
> That also better reflects what happens at the hw level IMHO since a
> board may reuse a IP block. Doug Anderson seems to agree with me [1].

Seems reasonable.

Best regards,
Krzysztof